# TODO:
# - warnings at compile stage about pointer size on amd64 - needs check
Summary:	Tesseract Open Source OCR Engine
Summary(pl.UTF-8):	Tesseract - silnik OCR o otwartych źródłach
Name:		tesseract
Version:	3.04.00
Release:	1
License:	Apache v2.0
Group:		Applications/Graphics
Source0:	https://github.com/tesseract-ocr/tesseract/archive/%{version}.tar.gz
# Source0-md5:	078130b9c7d28c558a0e49d432505864
URL:		http://code.google.com/p/tesseract-ocr/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	leptonlib-devel >= 1.71
BuildRequires:	libicu-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pango-devel
Suggests:	tesseract-data >= 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A commercial quality OCR engine originally developed at HP between
1985 and 1995. In 1995, this engine was among the top 3 evaluated by
UNLV. It was open-sourced by HP and UNLV in 2005.

%description -l pl.UTF-8
Silnik OCR o komercyjnej jakości oryginalnie stworzony przez HP w
latach 1985-1995. W 1995 roku był jednym z 3 najlepszych wg UNLV.
Źródła zostały uwolnione przez HP i UNLV w 2005 roku.

%package training
Summary:	Tesseract training tools
Summary(pl.UTF-8):	Pliki treningowe tesseracta
Group:          Applications/Graphics
Requires:	%{name} = %{version}

%description training
This package contains the Tesseract training tools.

%description training -l pl.UTF-8
Ten pakiet zawiera programy do trenowania tesseracta.

%package devel
Summary:	Header files for Tesseract libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Tesseracta
Group:          Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	leptonlib-devel
Requires:	libstdc++-devel

%description devel
This package contains the development header files necessary to
develop applications using Tesseract API.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
wykorzystujących API Tesseracta.

%package static
Summary:	Static Tesseract libraries
Summary(pl.UTF-8):	Statyczne biblioteki Tesseracta
Group:          Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Tesseract libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Tesseracta.

%prep
%setup -q
# workaround for 'off_t undefined when -std=c++11' workaround
%ifarch x32
%{__sed} -e 's|typedef long off_t;|//typedef long off_t;|' -i ccutil/scanutils.cpp
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}
%{__make} training

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} training-install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtesseract.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README ReleaseNotes
%attr(755,root,root) %{_bindir}/tesseract
%attr(755,root,root) %{_libdir}/libtesseract.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtesseract.so.3
%{_datadir}/tessdata
%{_mandir}/man1/tesseract.1*

%files training
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ambiguous_words
%attr(755,root,root) %{_bindir}/classifier_tester
%attr(755,root,root) %{_bindir}/cntraining
%attr(755,root,root) %{_bindir}/combine_tessdata
%attr(755,root,root) %{_bindir}/dawg2wordlist
%attr(755,root,root) %{_bindir}/mftraining
%attr(755,root,root) %{_bindir}/set_unicharset_properties
%attr(755,root,root) %{_bindir}/shapeclustering
%attr(755,root,root) %{_bindir}/text2image
%attr(755,root,root) %{_bindir}/unicharset_extractor
%attr(755,root,root) %{_bindir}/wordlist2dawg
%{_mandir}/man1/ambiguous_words.1*
%{_mandir}/man1/cntraining.1*
%{_mandir}/man1/combine_tessdata.1*
%{_mandir}/man1/dawg2wordlist.1*
%{_mandir}/man1/mftraining.1*
%{_mandir}/man1/shapeclustering.1*
%{_mandir}/man1/unicharset_extractor.1*
%{_mandir}/man1/wordlist2dawg.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtesseract.so
%{_includedir}/%{name}
%{_pkgconfigdir}/tesseract.pc
%{_mandir}/man5/unicharambigs.5*
%{_mandir}/man5/unicharset.5*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtesseract.a
%changelog
* Fri Aug 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tesseract.git;a=log;h=master

* Fri Aug 07 2015 Tomasz Pala <gotar@pld-linux.org> d02c75d
- restored previously removed classifier_tester tool

* Fri Aug 07 2015 Tomasz Pala <gotar@pld-linux.org> 8b41e4f
- fixed x32 arch workaround

* Fri Aug 07 2015 Tomasz Pala <gotar@pld-linux.org> ba6a799
- build traning tools and move them to separate subpackage

* Fri Aug 07 2015 Tomasz Pala <gotar@pld-linux.org> caa3afb
- build training tools

* Thu Aug 06 2015 Tomasz Pala <gotar@pld-linux.org> 6f60702
- initial update to 3.04.00

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 9eeae13
- release 7 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 7646b02
- x32 rebuild
- release 6 (by relup.sh)

* Fri Jan 31 2014 Jan Rękorajski <baggins@pld-linux.org> eae5351
- release 5 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 137d8fe
- release 4 (by relup.sh)

* Sun Oct 06 2013 Bartlomiej.Szady <Bartlomiej.Szady@polsl.pl> 0527fb3
- ldconfig is desirable

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> f4704e6
- fix format string error
- rel 2

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 854e108
- updated to 3.02.02

* Fri Feb 10 2012 Adam Gołębiowski <adamg@pld-linux.org> 3b4a395
- revert last commit, we want to keep libtool file if there is no
  pkgconfig file available
- release 3

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 17171ec
- release 2, drop libtool file

* Thu Oct 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 8028172
- updated to 3.01 (now uses single library instead of a dozen of)
- removed obsolete patches

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> f753763
- updated to 3.00
- removed obsolete nojava,gcc44 patches
- added missing patch (missing ac/am source files taken from svn)
- added link patch (kill unnecessary png/jpeg/z linking)
- moved data to separate spec (tesseract-data)

* Wed Nov 04 2009 sparky <sparky@pld-linux.org> 61b2992
- BR: libstdc++-devel

* Sat Jul 25 2009 Adam Gołębiowski <adamg@pld-linux.org> 1788c04
- new

* Sat Jul 25 2009 Adam Gołębiowski <adamg@pld-linux.org> 939dd95
- updated to 2.04

* Sat Jul 25 2009 Adam Gołębiowski <adamg@pld-linux.org> 0a0d146
- no longer needed

